kdecore Library: KNetwork::KHttpProxySocketDevice Class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KNetwork::KHttpProxySocketDevice Class Reference

The low-level backend for HTTP proxying. More...

`#include <khttproxysocketdevice.h>`

Inheritance diagram for KNetwork::KHttpProxySocketDevice:

[legend]
Collaboration diagram for KNetwork::KHttpProxySocketDevice:

[legend]
List of all members.

## Public Member Functions
| KHttpProxySocketDevice (const KSocketBase *=0L)
| KHttpProxySocketDevice (const KResolverEntry &proxy)
virtual | ~KHttpProxySocketDevice ()
virtual int | capabilities () const
const KResolverEntry & | proxyServer () const
void | setProxyServer (const KResolverEntry &proxy)
virtual void | close ()
virtual bool | connect (const KResolverEntry &address)
virtual bool | connect (const QString &name, const QString &service)
virtual KSocketAddress | peerAddress () const
virtual KSocketAddress | externalAddress () const
## Static Public Attributes
static KResolverEntry | defaultProxy

## Detailed Description

The low-level backend for HTTP proxying.

This class derives from KSocketDevice and implements the necessary calls to make a connection through an HTTP proxy.

Author:
  Thiago Macieira <thiago.macieira@kdemail.net>

Definition at line 43 of file khttpproxysocketdevice.h.

## Constructor & Destructor Documentation

KHttpProxySocketDevice::KHttpProxySocketDevice | ( | const KSocketBase * | = `0L` | ) |

| Constructor. Definition at line 55 of file khttpproxysocketdevice.cpp.

KHttpProxySocketDevice::KHttpProxySocketDevice | ( | const KResolverEntry & | proxy | ) |

| Constructor with proxy server's address. Definition at line 60 of file khttpproxysocketdevice.cpp.

KHttpProxySocketDevice::~KHttpProxySocketDevice | ( |  | ) | `[virtual]`

| Destructor. Definition at line 66 of file khttpproxysocketdevice.cpp.

## Member Function Documentation

int KHttpProxySocketDevice::capabilities | ( |  | ) | const`[virtual]`

| Sets our capabilities. Reimplemented from KNetwork::KSocketDevice. Definition at line 74 of file khttpproxysocketdevice.cpp.

const KResolverEntry & KHttpProxySocketDevice::proxyServer | ( |  | ) | const

| Retrieves the proxy server address. Definition at line 80 of file khttpproxysocketdevice.cpp.

void KHttpProxySocketDevice::setProxyServer | ( | const KResolverEntry & | proxy | ) |

| Sets the proxy server address. Definition at line 85 of file khttpproxysocketdevice.cpp.

void KHttpProxySocketDevice::close | ( |  | ) | `[virtual]`

| Closes the socket. Reimplemented from KNetwork::KSocketDevice. Definition at line 90 of file khttpproxysocketdevice.cpp.

bool KHttpProxySocketDevice::connect | ( | const KResolverEntry & | address | ) | `[virtual]`

| Overrides connection. Reimplemented from KNetwork::KSocketDevice. Definition at line 109 of file khttpproxysocketdevice.cpp. References QIODevice::isOpen(), and KNetwork::KActiveSocketBase::resetError().

bool KHttpProxySocketDevice::connect | ( | const QString & | name,
|  | const QString & | service
| ) | `[virtual]`

| Name-based connection. We can tell the HTTP proxy server the full name. Definition at line 131 of file khttpproxysocketdevice.cpp. References QString::arg(), QString::fromLatin1(), QIODevice::isOpen(), QString::latin1(), and KNetwork::KActiveSocketBase::setError().

KSocketAddress KHttpProxySocketDevice::peerAddress | ( |  | ) | const`[virtual]`

| Return the peer address. Reimplemented from KNetwork::KSocketDevice. Definition at line 97 of file khttpproxysocketdevice.cpp. References QIODevice::isOpen().

KSocketAddress KHttpProxySocketDevice::externalAddress | ( |  | ) | const`[virtual]`

| Return the externally visible address. We can't tell what that address is, so this function always returns an empty object. Reimplemented from KNetwork::KSocketDevice. Definition at line 104 of file khttpproxysocketdevice.cpp.

## Member Data Documentation

KResolverEntry KHttpProxySocketDevice::defaultProxy`[static]`

| This is the default proxy server to be used. Applications may want to set this value so that calling setProxyServer is unnecessary. Definition at line 40 of file khttpproxysocketdevice.cpp.

The documentation for this class was generated from the following files:

- khttpproxysocketdevice.h
- khttpproxysocketdevice.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:19:18 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003